Subject: Re: [PATCH iwl-next v4 09/13] ice: Accept LAG netdevs in bridge offloads

From: Simon Horman <[email-masked]>
Date: Sun, 4 Jun 2023 18:06:51 +0200

On Wed, May 24, 2023 at 02:21:17PM +0200, Wojciech Drewek wrote:
> Allow LAG interfaces to be used in bridge offload using
> netif_is_lag_master. In this case, search for ice netdev in
> the list of LAG's lower devices.

Hi Wojciech,

As this uses the first lower device found that is an ICE netdev, it is a
little unclear to me how this handles the (likely) case of a LAG having
more than one lower device, each of which are ICE netdevs belonging to the
same eswitch. And the perhaps less likely case where it has more than
once lower devices, but they don't all belong to the same ICE eswitch.